> For the complete documentation index, see [llms.txt](https://www.elastic.co/docs/api/doc/elasticsearch-serverless/llms.txt)

# Create a calendar

> PUT /_ml/calendars/{calendar_id}
> 
> 
> 
> ## Required authorization
> 
> * Cluster privileges: `manage_ml`



## Servers
- http://api.example.com: http://api.example.com


## Authentication methods
- Api key auth


## Parameters

### Path parameters

- **calendar_id** (string)
  A string that uniquely identifies a calendar.



### Body: application/json (object)

- **job_ids** (array[string])
  An array of anomaly detection job identifiers.

- **description** (string)
  A description of the calendar.



## Responses
### 200


#### Body: application/json (object)
- **calendar_id** (string)
  A string that uniquely identifies a calendar.

- **description** (string)
  A description of the calendar.

- **job_ids** (string | array[string])
  A list of anomaly detection job identifiers or group names.



[Powered by Bump.sh](https://bump.sh)
